dir()
data<-read.table("Pheno.txt" , h=T)
names(data)
cap<-data[,8]
flo<-data[,9]
pop<-data[,2]
an<-data[,4]
day<-data[,7]

boxplot(flo[cap>0]~pop[cap>0])

an<-an[flo>0]
day<-day[flo>0]
pop<-pop[flo>0]
flo<-flo[flo>0]

split(flo,an)->flo.data
split(day,an)->day.data
split(pop,an)->pop.data
##########
library(ggplot2)

df_2017<-data.frame(day.data$'2017',pop.data$'2017',flo.data$'2017')
names(df_2017)<-c("time","pop","flowers")

ggplot(df_2017, aes(x=time, y=flowers, col=pop)) + geom_point(stat="summary", fun.y="mean", alpha=0.8, size=5) + 
 geom_errorbar(stat="summary", fun.data="mean_se", fun.args = list(mult = 1.96), width=0, size=1)+
scale_color_manual(values=c("darkgreen", "orange"))+ scale_x_continuous(limits = c(50, 150))+
theme_classic()

df_2018<-data.frame(day.data$'2018',pop.data$'2018',flo.data$'2018')
names(df_2018)<-c("time","pop","flowers")

ggplot(df_2018, aes(x=time, y=flowers, col=pop)) + geom_point(stat="summary", fun.y="mean", alpha=0.8, size=5) + 
 geom_errorbar(stat="summary", fun.data="mean_se", fun.args = list(mult = 1.96), width=0, size=1)+
scale_color_manual(values=c("darkgreen", "orange"))+ scale_x_continuous(limits = c(50, 150))+
theme_classic()

df_2019<-data.frame(day.data$'2019',pop.data$'2019',flo.data$'2019')
names(df_2019)<-c("time","pop","flowers")

ggplot(df_2019, aes(x=time, y=flowers, col=pop)) + geom_point(stat="summary", fun.y="mean", alpha=0.8, size=5) + 
 geom_errorbar(stat="summary", fun.data="mean_se", fun.args = list(mult = 1.96), width=0, size=1)+
scale_color_manual(values=c("darkgreen", "orange"))+ scale_x_continuous(limits = c(50, 150))+
theme_classic()


